summarylogtreecommitdiffstats
path: root/zsh.install
diff options
context:
space:
mode:
Diffstat (limited to 'zsh.install')
-rw-r--r--zsh.install12
1 files changed, 12 insertions, 0 deletions
diff --git a/zsh.install b/zsh.install
new file mode 100644
index 000000000000..c9bd5b6633ea
--- /dev/null
+++ b/zsh.install
@@ -0,0 +1,12 @@
+post_install() {
+ grep -qe '^/bin/zsh$' etc/shells || echo '/bin/zsh' >> etc/shells
+ grep -qe '^/usr/bin/zsh$' etc/shells || echo '/usr/bin/zsh' >> etc/shells
+}
+
+post_upgrade() {
+ post_install
+}
+
+pre_remove() {
+ sed -i -r '/^(\/usr)?\/bin\/zsh$/d' etc/shells
+}